#pragma once

#include <cstdint>
#include <memory>
#include <vector>

namespace Feather::Network
{
    class TCPSocket;

    class TCPListener
    {
    public:
        TCPListener(uint16_t port);
        ~TCPListener();

        void Accept();

    private:
        std::unique_ptr<TCPSocket> m_socket;
    };


}